Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
optionedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $StdHeaders = $ini->variable( "eZTradeMain", "StandardOptionHeaders" )
| $MinHeaders = $ini->variable( "eZTradeMain", "MinimumOptionHeaders" )
| $MinValues = $ini->variable( "eZTradeMain", "MinimumOptionValues" )
| $SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true" ? true : false
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
if(isset( $DeleteOption)) | $product = new eZProduct( $ProductID )
if(isset( $Delete)) if(isset( $Abort)) if(isset( $OK)) | $t
| $groups = eZPriceGroup::getAll( false )
foreach( $groups as $group) | $count = count ( $groups )
| $main_price = array()
if(isset( $Action) && $Action=="New") if(isset( $Action) && $Action=="Edit") if(isset( $NewValue)) while(max(count( $OptionValue), count( $ValueID), count( $OptionPrice))< $MinValues) if(isset( $NewDescription)) | else
| $value_count = max( $MinHeaders, $ValueCount )
| $index = 0
| $j = 0

## Variable Documentation

## ◆ $count

foreach ($groups as $group) $count = count ( $groups )

Definition at line 242 of file optionedit.php.

## ◆ $groups

$groups = eZPriceGroup::getAll( false )

Definition at line 234 of file optionedit.php.

## ◆ $index

$index = 0

Definition at line 384 of file optionedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file optionedit.php.

## ◆ $j

$j = 0

Definition at line 385 of file optionedit.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 35 of file optionedit.php.

## ◆ $main_price

$main_price = array()

Definition at line 244 of file optionedit.php.

## ◆ $MinHeaders

$MinHeaders = $ini->variable( "eZTradeMain", "MinimumOptionHeaders" )

Definition at line 37 of file optionedit.php.

## ◆ $MinValues

$MinValues = $ini->variable( "eZTradeMain", "MinimumOptionValues" )

Definition at line 38 of file optionedit.php.

## ◆ $product

if (isset($DeleteOption)) $product = new eZProduct( $ProductID )

Definition at line 72 of file optionedit.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 40 of file optionedit.php.

## ◆ $SimpleOptionHeaders

$SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true" ? true : false

Definition at line 39 of file optionedit.php.

## ◆ $StdHeaders

$StdHeaders = $ini->variable( "eZTradeMain", "StandardOptionHeaders" )

Definition at line 36 of file optionedit.php.

## ◆ $t

if (isset($Delete)) if (isset($Abort)) if (isset($OK)) $t

Initial value:
= new eZTemplate( "kernel/eztrade/admin/" . $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"kernel/eztrade/admin/intl/", $Language, "optionedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: optionedit.php:35
$ini
$ini
Definition: optionedit.php:34

Definition at line 201 of file optionedit.php.

## ◆ $value_count

$value_count = max( $MinHeaders, $ValueCount )

Definition at line 343 of file optionedit.php.

## ◆ else

if (isset($Action) &&$Action=="New") if (isset($Action) &&$Action=="Edit") if (isset($NewValue)) while (max(count($OptionValue), count($ValueID), count($OptionPrice))< $MinValues) if (isset($NewDescription)) else

Initial value:
{
$ValueCount = 0

Definition at line 338 of file optionedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.